6 Replies Latest reply on Mar 21, 2010 11:24 PM by Sailendra Pamidi

    Agent version requirements for unmanged systems

    aladdin9

         I have a group of un-managed client systems, Windows 2000 - 7, running VirusScan Enterprise 8.5i Patch 8 and 8.7i Patch 2.  It's my understanding that 4 McAfee software components need to be kept updated in such an environment:

      1. VirusScan 8.x itself via Patches and Hotfixes

      2. VirusScan engine (5400 is current)

      3. Daily DAT files that contain the latest virus signatures

      4. Agent, which is either the older CMA (KB54555) or newer McAfee Agent 4.x that downloads the updated engines and virus dat's, as well as Agent Patches and Hotfixes

       

      CMA 3.6.0 Patch 4 End of Life: March 31, 2010, per KB54555.  I think this means that starting 2010-04-01 that these systems will no longer be able to download DAT files and engines from the public McAfee servers.  Can I assume any system that has %ProgramFiles%\Network Associates\Common Framework\FrameworkService.exe is runnning CMA 3.x and needs to be upgraded to MA 4.0 or 4.5?

       

      I have not been able to find any information what Agent versions are included with which VirusScan Enterprise 8.x versions, so I don't know if the new 8.7i Patch 3 has new agents, and which agent shipped in 8.5i with patch 8 repost package.

       

      I also found these McAfee articles that are contradictory. Microsoft ends Windows 2000 extended support 2010-07-13 (+ 30 days for any hotfixes released 07-13), and McAfee indicates per KB51573 CMA 3.6 and MA 4.0 are supported on this platform.  However CMA 3.6.0 Patch EOL is this month as noted above, and per KB60060 "Planned End of Support for Windows 2000 on MA 4.0 is 13 July 2010. This matches Microsoft end of extended support."  McAfee also states per KB66079 that Windows 2000 SP4:

       

      This letter is to confirm that McAfee shall support the Windows 2000 operating  system through 2010 with the following products and the related McAfee Agent and  Engine components.

      • McAfee GroupShield 7.x for Exchange (Windows 2000 Server)
      • McAfee GroupShield 7.x for Domino (Windows 2000 Server)
      • McAfee VirusScan Enterprise

       

      Does this mean VirusScan will be supported but there will be no updates possible from 2010-07-13 thru 2010-12-31?

       

      PS in KB51573 "phyiscal" should be spelled "physical", and KB68421 is incorrect, Hotfix 542703is not available on the public hotfixes download page http://www.mcafee.com/apps/downloads/security_updates/hotfixes.asp?region=us&seg ment=enterprise

        • 1. Re: Agent version requirements for unmanged systems
          Sailendra Pamidi

          Hi,

           

           

           

           

          CMA 3.6.0 Patch 4 End of Life: March 31, 2010, per KB54555.  I think this means that starting 2010-04-01 that these systems will no longer be able to download DAT files and engines from the public McAfee servers.  Can I assume any system that has %ProgramFiles%\Network Associates\Common Framework\FrameworkService.exe is runnning CMA 3.x and needs to be upgraded to MA 4.0 or 4.5?

           

           

          CMA 3.6 Agents will continue to download DAT updates - just there will be no fixes provided for CMA 3.6 and you would need to move to a supported build of the agent (MA 4.0 Patch 3 or MA 4.5) for any issues that may require fixing.

           

          You can look up the registry location: HKLM\Software\Network Associates\TVD\Shared Components\Framework\Version  to determine the agent version that is installed. (using Reg.exe for e.g.)

           

          I have not been able to find any information what Agent versions are included with which VirusScan Enterprise 8.x versions, so I don't know if the new 8.7i Patch 3 has new agents, and which agent shipped in 8.5i with patch 8 repost package.

           


          Typically, VirusScan would bundle the current stable release of the agent - I will check with our VirusScan colleagues to see if we can publish a KB on what versions of the agent are bundled with each version of VirusScan.

           

          I also found these McAfee articles that are contradictory. Microsoft ends Windows 2000 extended support 2010-07-13 (+ 30 days for any hotfixes released 07-13), and McAfee indicates per KB51573 CMA 3.6 and MA 4.0 are supported on this platform.  However CMA 3.6.0 Patch EOL is this month as noted above, and per KB60060 "Planned End of Support for Windows 2000 on MA 4.0 is 13 July 2010. This matches Microsoft end of extended support."  McAfee also states per KB66079 that Windows 2000 SP4:

           

          This letter is to confirm that McAfee shall support the Windows 2000 operating  system through 2010 with the following products and the related McAfee Agent and  Engine components.

          • McAfee GroupShield 7.x for Exchange (Windows 2000 Server)
          • McAfee GroupShield 7.x for Domino (Windows 2000 Server)
          • McAfee VirusScan Enterprise

           

          Does this mean VirusScan will be supported but there will be no updates possible from 2010-07-13 thru 2010-12-31?


          Let me check on this and get back to you..

          PS in KB51573 "phyiscal" should be spelled "physical", and KB68421 is incorrect, Hotfix 542703is not available on the public hotfixes download page http://www.mcafee.com/apps/downloads/security_updates/hotfixes.asp?region=us&seg ment=enterprise

           

          Thanks for pointing out the error - will have it corrected.

          The Hotfix 542703 is very much on the downloads page - i have just confirmed this. Please check if it is showing up now ...

          • 2. Re: Agent version requirements for unmanged systems
            Sailendra Pamidi

            An update - I have checked with our VirusScan team - typically, VirusScan patch releases do not bundle a newer version of the McAfee Agent. Further, please help me understand how it would benefit you to understand the version of the agent bundled with each VirusScan release?

             

            Regards,

            Sailendra

            • 3. Re: Agent version requirements for unmanged systems
              aladdin9

                Thank you for the outstanding quality reply, usually if I post a complicated, well-researched question to technical forums it tends to be ignored.

               

              Has any progress been made with a KB for listing agents shipped with which versions of VirusScan 8.x?  Here is what I have found

              8.7i Patch 3 (?): unknown

              8.7i Patch 2 (VSE870P2.zip): no agents found

              8.7i Patch 1 (VSE870P1.zip): no agents found

              8.7i with Patch 1 Repost (VSE870LMLRP1.zip): FramePkg_UPD.exe 4.0.0.1345 = Agent 4.0 Patch 1 per http://community.mcafee.com/docs/DOC-1024

              8.7i no patch (VSE870LML): FramePkg_UPD.exe 4.0.0.1180 = Agent 4.0 RTW

              8.5i Patch 8 (VSE85iP8.zip): no agents found

              8.5i with Patch 8 (VSE850LML.zip): unable to find in zip, probably part of vse850.msi package

               

              I still have been unable to find Hotfix 542703 KB on the public download page: http://www.mcafee.com/apps/downloads/security_updates/hotfixes.asp?region=us&seg ment=enterprise . This hotfix may be available via the ServicePortal, however those requires a login per KB54808 with a valid grant number which I do not have access to for my company.  I assume that the URL I provided was only for hotfixes that are also deemed Security Updates, and Hotfix 542703 does not meet this criteria.



              • 4. Re: Agent version requirements for unmanged systems
                Sailendra Pamidi

                I still have been unable to find Hotfix 542703 KB on the public download page: http://www.mcafee.com/apps/downloads/security_updates/hotfixes.asp?region=us&seg ment=enterprise . This hotfix may be available via the ServicePortal, however those requires a login per KB54808 with a valid grant number which I do not have access to for my company.  I assume that the URL I provided was only for hotfixes that are also deemed Security Updates, and Hotfix 542703 does not meet this criteria.

                 


                You are correct - the HF in question is actually a full release of the agent - I overlooked the link you provided earlier - sorry. For getting the HF package you will need access to the downloads page with valid Grant.

                 

                Has any progress been made with a KB for listing agents shipped with which versions of VirusScan 8.x?  Here is what I have found

                8.7i Patch 3 (?): unknown

                8.7i Patch 2 (VSE870P2.zip): no agents found

                8.7i Patch 1 (VSE870P1.zip): no agents found

                8.7i with Patch 1 Repost (VSE870LMLRP1.zip): FramePkg_UPD.exe 4.0.0.1345 = Agent 4.0 Patch 1 per http://community.mcafee.com/docs/DOC-1024

                8.7i no patch (VSE870LML): FramePkg_UPD.exe 4.0.0.1180 = Agent 4.0 RTW

                8.5i Patch 8 (VSE85iP8.zip): no agents found

                8.5i with Patch 8 (VSE850LML.zip): unable to find in zip, probably part of vse850.msi package

                Pls. refer to my earlier comment about this.

                • 5. Re: Agent version requirements for unmanged systems
                  aladdin9

                  We continue to have problems with unmanged VirusScan Enterprise 8.x client computers failing to update its DAT files from the public McAfee servers.  In many cases this has been traced to obselete versions of the Agent (CMA 3.x, sometimes MA 4.x), rather than obselete versions of the VSE, which have been kept up to date via patching.  If McAfee provides a KB article stating which versions of the Framework are provided with which versions of VSE, this will assist in keeping computers up to date.  I would also suggest distributing the latest stable version of the Framework with VSE patches, or at least provide information in the VSE patch readme or a warning from the patch installer that the agent is no longer supported and should be updated.

                  • 6. Re: Agent version requirements for unmanged systems
                    Sailendra Pamidi

                    Thanks Aladdin, I have conveyed this to our ViruScan team and will work with them to see if this can be made into a KB...